Foreman - Bug #14038

Selecting multiple cores per socket not working against vmware provider (image cloning)
03/03/2016 07:54 AM - lvan Necas

Status: Closed
Priority: Normal
Assignee: Ivan Necas
Category: Compute resources - VMware
Target version: 1.11.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1314352 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3274
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1314352
Description of problem:
Selecting multiple cores per socket not working against vmware provider (image cloning)

Version-Release number of selected component (if applicable):
sat6.1.7

How reproducible:
always

Steps to Reproduce:

1. Defaine new VNware ESX host from the image.

2. Assign different to default=1 value to Cores per Socket.
3. Create a host

Actual results:
Deployed machine shows "Cores per socket" = 1

Expected results:
Deployed machine shows "Cores per socket" given value as well as machine resizes on several sockets in Vmware cluster

Additional info:

Related issues:
Related to Foreman - Bug #10873: "cores per socket" field should be disabled ... New 06/18/2015

Associated revisions

Revision 17¢277d5 - 03/30/2016 04:59 AM - lvan Necas

Fixes #14038 - pass corespersocket in VMWare image-based provisioning

Revision e085fale - 03/30/2016 07:37 AM - Dominic Cleal
refs #14038 - require fog-vsphere 0.6.2

Revision 7af5d09c - 04/18/2016 01:45 PM - Ivan Necas

Fixes #14038 - pass corespersocket in VMWare image-based provisioning

(cherry picked from commit 17¢277d5733cf4b814f3d5b357269f38bafcfa8f)

History

#1 - 03/03/2016 07:54 AM - Ivan Necas

- Category changed from Compute resources to Compute resources - VMware
https://bugzilla.redhat.com/show_bug.cgi?id=1314352

#2 - 03/03/2016 08:00 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ivan Necas

- Pull request https://github.com/theforeman/foreman/pull/3274 added

#3 - 03/03/2016 01:10 PM - Anonymous
- Related to Bug #10873: "cores per socket" field should be disabled for Virtual H/W Version 10 when creating VMware VM added

#4 - 03/30/2016 05:01 AM - lvan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 17¢277d5733cf4b814f3d5b357269f38bafcfasf.

#5 - 03/31/2016 06:35 AM - Dominic Cleal

- translation missing: en.field_release set to 141
